GNU bug report logs - #36411
[PATCH] gnu: Add libresprite.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: zerodaysfordays@HIDDEN (Jakob L. Kreuze); Keywords: patch; dated Fri, 28 Jun 2019 00:45:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 36411 <at> debbugs.gnu.org:


Received: (at 36411) by debbugs.gnu.org; 30 Jun 2019 00:50:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 29 20:50:50 2019
Received: from localhost ([127.0.0.1]:45100 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hhO3O-0003GQ-5Q
	for submit <at> debbugs.gnu.org; Sat, 29 Jun 2019 20:50:50 -0400
Received: from mx.sdf.org ([205.166.94.20]:50032)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zerodaysfordays@HIDDEN>)
 id 1hhO3L-0003GH-OH
 for 36411 <at> debbugs.gnu.org; Sat, 29 Jun 2019 20:50:49 -0400
Received: from Epsilon (pool-173-76-53-40.bstnma.fios.verizon.net
 [173.76.53.40]) (authenticated (0 bits))
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPSA id x5U0oj7k006250
 (using TLSv1.2 with cipher AES256-GCM-SHA384 (256 bits) verified NO);
 Sun, 30 Jun 2019 00:50:46 GMT
From: zerodaysfordays@HIDDEN (Jakob L. Kreuze)
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: [bug#36411] [PATCH] gnu: Add libresprite.
References: <87y31m7d62.fsf@HIDDEN>
 <30d2762e-8cea-fa2d-24df-68a019fcea90@HIDDEN>
 <8736jthkkd.fsf@HIDDEN> <87woh4bee5.fsf@nckx>
Date: Sat, 29 Jun 2019 20:49:04 -0400
In-Reply-To: <87woh4bee5.fsf@nckx> (Tobias Geerinckx-Rice's message of "Sat,
 29 Jun 2019 17:27:30 +0200")
Message-ID: <87pnmvdhj3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36411
Cc: 36411 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi Tobias,

Tobias Geerinckx-Rice <me@HIDDEN> writes:

> I didn't check all the bundled packages, but at least freetype2 and
> libpng are trivial to unbundle (not patched in any way) and probably
> the most important to, security-wise, so things are looking good even
> if upstream wouldn't cooperate.

I believe they're already unbundled in the 'aseprite' package I'm
inheriting.

#+BEGIN_SRC scheme
    (arguments
     '(#:configure-flags
       ;; Use shared libraries instead of building bundled source.
       (list "-DWITH_WEBP_SUPPORT=3D1"
             "-DUSE_SHARED_CURL=3D1"
             "-DUSE_SHARED_GIFLIB=3D1"
             "-DUSE_SHARED_JPEGLIB=3D1"
             "-DUSE_SHARED_ZLIB=3D1"
             "-DUSE_SHARED_LIBPNG=3D1"
             "-DUSE_SHARED_LIBLOADPNG=3D1"
             "-DUSE_SHARED_LIBWEBP=3D1"
             "-DUSE_SHARED_TINYXML=3D1"
             "-DUSE_SHARED_PIXMAN=3D1"
             "-DUSE_SHARED_FREETYPE=3D1"
             "-DUSE_SHARED_ALLEGRO4=3D1"
             "-DENABLE_UPDATER=3D0" ; no auto-updates
             (string-append "-DFREETYPE_INCLUDE_DIR=3D"
                            (assoc-ref %build-inputs "freetype")
                            "/include/freetype2"))))
#+END_SRC

#+BEGIN_SRC
jakob@Epsilon ~/Code/guix/gnu/packages $ ldd $(which libresprite) | grep fr=
eetype
        libfreetype.so.6 =3D> /gnu/store/66db1c64qm8ar4d7qjxsyl3xvjqjpgj7-f=
reetype-2.9.1/lib/libfreetype.so.6 (0x00007fa317cd7000)
jakob@Epsilon ~/Code/guix/gnu/packages $ ldd $(which libresprite) | grep li=
bpng
        libpng16.so.16 =3D> /gnu/store/c7sm7sn3yccffpggxrrfipqcn4wz3vfw-lib=
png-1.6.37/lib/libpng16.so.16 (0x00007f5715956000)
#+END_SRC

> Now, I'd say it needn't be added to the description either. We
> generally don't note the often chequered ancestry of our packages, nor
> the fact that they are =E2=80=98free=E2=80=99 or =E2=80=98open source=E2=
=80=99, and this is just a
> combination of the two. But at least description space is cheaper if
> you disagree. ;-)

I just thought it'd be a little tacky if I kept the old description,
since it uses the name "Aseprite" twice.

Regards,
Jakob

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEa1VJLOiXAjQ2BGSm9Qb9Fp2P2VoFAl0YBwAACgkQ9Qb9Fp2P
2VpcOQ//TYsCLzqS73x0AS4XN9LABd4hAQhI8gcZRV3yl8IfKnzK4iVLU4KkGIBb
5MxYZFI8k1hT5pAThkOPO2zfKcwsw0f5KHU59GwwZzhNT7RvEwzHbbBa2hFgZo8C
fy32ZDflfCsaGruky3bWEKiXtW+xDRBqVRq5fHiOpQZJWMiCk7jpyQxK8ubg2MQw
U/hr+okcihdRpOlZ4H9CdNGTH02mgsFVft2KAmwfM+M/A5/4xPuyR1p+wDQ3I0C0
eOaWlaCCDKAE0jIqeNef2kh8lHcV/G9g03C5TSLpSbg/cVq0bHPrG6DT+YFxdGqv
rXUCsNYSW836uyvlya+KN6MBQeep8F+nZ1652QQcU3jOQqrh7ymAialVlhPdLBWM
dvzWR9SxaAdkJM0IB9NzMYpQb6oj2VqSSQt4NqtldgW6RtpHkAuAYKiLSk7QgM59
i8h4hD0b2Yba4KDgY76kAsn1EH52kjltyeQ+dGwRVRhxOEhrW/sFI521l8LM2CPb
ROxSa8U6TBuQmRuOcK/6FG03sQNCkd/hZIYx8wrE/ODYDKtjPr5EpPpFNaZmI1Ou
bazu38osYbYk1KmsdcYzvkQrn6xJjU6ePa6TlWN0VyAuHqRh7ydui2ad6Xhu9K3C
nAd4JaTEXT3f+uOvStmN4cUmfuugRQNXSiIhFGdA1xuXn06s7CM=
=QhTa
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#36411; Package guix-patches. Full text available.

Message received at 36411 <at> debbugs.gnu.org:


Received: (at 36411) by debbugs.gnu.org; 30 Jun 2019 00:46:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 29 20:46:47 2019
Received: from localhost ([127.0.0.1]:45096 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hhNzT-0003Ai-JD
	for submit <at> debbugs.gnu.org; Sat, 29 Jun 2019 20:46:47 -0400
Received: from mx.sdf.org ([205.166.94.20]:51601)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zerodaysfordays@HIDDEN>)
 id 1hhNzQ-0003AZ-T9
 for 36411 <at> debbugs.gnu.org; Sat, 29 Jun 2019 20:46:45 -0400
Received: from Epsilon (pool-173-76-53-40.bstnma.fios.verizon.net
 [173.76.53.40]) (authenticated (0 bits))
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPSA id x5U0khVk028216
 (using TLSv1.2 with cipher AES256-GCM-SHA384 (256 bits) verified NO);
 Sun, 30 Jun 2019 00:46:44 GMT
From: zerodaysfordays@HIDDEN (Jakob L. Kreuze)
To: Christopher Lemmer Webber <cwebber@HIDDEN>
Subject: Re: [bug#36411] [PATCH] gnu: Add libresprite.
References: <87y31m7d62.fsf@HIDDEN>
 <30d2762e-8cea-fa2d-24df-68a019fcea90@HIDDEN>
 <8736jthkkd.fsf@HIDDEN>
 <cd1bd239-0135-bcd1-c103-736e86f87504@HIDDEN>
 <87mui1flpv.fsf@HIDDEN> <87mui0lal9.fsf@HIDDEN>
Date: Sat, 29 Jun 2019 20:45:01 -0400
In-Reply-To: <87mui0lal9.fsf@HIDDEN> (Christopher Lemmer Webber's
 message of "Sat, 29 Jun 2019 10:39:30 -0400")
Message-ID: <87tvc7dhpu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36411
Cc: 36411 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Christopher Lemmer Webber <cwebber@HIDDEN> writes:

> I wonder also if there are any significant benefits to keeping
> aesprite around if we have libresprite. What do you think? Maybe
> aesprite could become an alias for the new libresprite. Thoughts?

If my build system changes for unbundling duktape and simpleini are
merged upstream, that would probably make sense. Then we wouldn't need
to add a similar patch for aseprite.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEa1VJLOiXAjQ2BGSm9Qb9Fp2P2VoFAl0YBg4ACgkQ9Qb9Fp2P
2VoVkw/+PP/Q4ytSvRE5IOnmPpnp2+PTByucdL9UeYgeG6EG9IUI+B+bqcuG8Vot
PEcOcsRJzRUu7K7XseFMcBWqTbarUk8EoSTRZp4UBQ/55kdro8qwg/Uy4yW6XOYo
1lrsKWpo29MLR4j044TeKG1EhH2E0pUU2hIw5Jkw7VQXDLlvm6Sefbu3jLb4Oh1A
YwSQL9xVv2Wm+f9CWCbh50N1TpnPb4A45DSlszFCbrwprSY+e0TljznpgqPFMkxt
UnRvGAiZtGj+xum0IBSXNAmz9UrXpB80jvQtSBEt9r1es3cMKkAZTH/N61/P3E9W
Ufw2PICMdHE7x/hyU3vQV7voRl/K8ajNT9pYBFQJvtY2iQCLBbt8Ylfonc89BlE5
pVBiitEBtqPbxPpLEggRLiPDaYgQrb1raTk1+RuKkPLC2sIomBpZKxgje3HuyOz5
KZ6k4LPAYOqb7ubkP4tVK0sSoDUB4qqfGYvC2Omh69qhIGF93kcY1F8P2v68ldXH
DBgPKvn4f2X4/GKnwbNp4OqGmtHXRykNRK3Hb9WE1+pAl2Dj3UO06CIHAK41lnSC
MuevVyLWeXdzC3UiZgM8UYu5qocrURzvUJNIS3dhccWFcDUtwuZh50AYyG++H2MD
X9105kwB4wU5eQ3BekKcQ6q1G0DEXsY3nF57yrS6WhP60xckom8=
=5coB
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#36411; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Jun 2019 17:10:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 29 13:10:12 2019
Received: from localhost ([127.0.0.1]:44857 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hhGrb-0004ff-59
	for submit <at> debbugs.gnu.org; Sat, 29 Jun 2019 13:10:12 -0400
Received: from lists.gnu.org ([209.51.188.17]:48048)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1hhGrZ-0004fW-Ot
 for submit <at> debbugs.gnu.org; Sat, 29 Jun 2019 13:10:10 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:58234)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <swedebugia@HIDDEN>) id 1hhGrY-000638-Sl
 for guix-patches@HIDDEN; Sat, 29 Jun 2019 13:10:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1hhGrX-0003nx-Rn
 for guix-patches@HIDDEN; Sat, 29 Jun 2019 13:10:08 -0400
Received: from mx1.riseup.net ([198.252.153.129]:59738)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1hhGrX-0003mu-HA
 for guix-patches@HIDDEN; Sat, 29 Jun 2019 13:10:07 -0400
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 818E51A2FEF
 for <guix-patches@HIDDEN>; Sat, 29 Jun 2019 10:10:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1561828205; bh=twS3Wr1omk5zNu6QUVfZl55Q47f7WMGmZtiImfW3B2U=;
 h=Subject:To:References:From:Date:In-Reply-To:From;
 b=kQflPIWSwnRGJAlTuiG17VCCpqQDGLdlXrpyPNtBmspggB+iNeJO1d0SP5r48v6I3
 knWa7lekyd0FmibjHIwwVZuEgOEluiCvXGKE6H/Tj0mesKzCM7Pm/rc4af6xZxFWu3
 HfmCzi2IQZi/G8oRpzbXC7a/WrqBSPXmvnkctBdk=
X-Riseup-User-ID: 1EF28D11D0C17BA00217FCF772617D321524F46D37069AD51C473E68509D9EA3
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id 990DC1203AC
 for <guix-patches@HIDDEN>; Sat, 29 Jun 2019 10:10:04 -0700 (PDT)
Subject: Re: [bug#36411] [PATCH] gnu: Add libresprite.
To: guix-patches@HIDDEN
References: <87y31m7d62.fsf@HIDDEN>
 <30d2762e-8cea-fa2d-24df-68a019fcea90@HIDDEN>
 <8736jthkkd.fsf@HIDDEN> <87woh4bee5.fsf@nckx>
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <909e98f0-d945-3e23-0600-0ce09930e960@HIDDEN>
Date: Sat, 29 Jun 2019 19:10:00 +0200
MIME-Version: 1.0
In-Reply-To: <87woh4bee5.fsf@nckx>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 198.252.153.129
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

On 2019-06-29 17:27, Tobias Geerinckx-Rice wrote:
> Jakob,
>=20
> I didn't check all the bundled packages, but at least freetype2 and=20
> libpng are trivial to unbundle (not patched in any way) and probably th=
e=20
> most important to, security-wise, so things are looking good even if=20
> upstream wouldn't cooperate.
>=20
> Jakob L. Kreuze wrote:
>>> Synopsis?
>>
>> Inherited from 'aseprite'.=C2=A0 Should I alter it to mention that
>> it's a fork of Aseprite?
>=20
> It's certainly not important enough to include in the synopsis, so=20
> inheriting that is fine.
>=20
> Now, I'd say it needn't be added to the description either.=C2=A0 We=20
> generally don't note the often chequered ancestry of our packages, nor=20
> the fact that they are =E2=80=98free=E2=80=99 or =E2=80=98open source=E2=
=80=99, and this is just a=20
> combination of the two.=C2=A0 But at least description space is cheaper=
 if=20
> you disagree.=C2=A0 ;-)

What about noting it in the top of the recipe as a comment?
";; This is a fork of xx"
I find that helpful but it might be unnecessary too?

--=20
Cheers Swedebugia




Information forwarded to guix-patches@HIDDEN:
bug#36411; Package guix-patches. Full text available.

Message received at 36411 <at> debbugs.gnu.org:


Received: (at 36411) by debbugs.gnu.org; 29 Jun 2019 15:27:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 29 11:27:39 2019
Received: from localhost ([127.0.0.1]:44830 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hhFGN-0002IF-10
	for submit <at> debbugs.gnu.org; Sat, 29 Jun 2019 11:27:39 -0400
Received: from tobias.gr ([80.241.217.52]:38780)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1hhFGK-0002I4-6S
 for 36411 <at> debbugs.gnu.org; Sat, 29 Jun 2019 11:27:38 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id 9f659803;
 Sat, 29 Jun 2019 15:27:33 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to:cc
 :subject:references:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=OCxJJmZEhorGBEkynOhJZR
 lYmvG9rrVmBxkqeao+TVE=; b=Cy+qJRSrfSB0sPpNY9l/bKopxxDyH181a25u5h
 dkqI4R4+eE7FuERRpYbCcuf7SMQK+qXVsfjNQDA3r8fPTAMRYn/hRWgxPn0tMd2t
 vt1eRwgsEbrz0SMtaje9dv4wFDYQ/xBFg7Nf8XXpcN3tzSOynOkVCu8Mitq4q+U7
 plumeOjJV5e3CeIi32fqtjJB6BhX/m0uBHJWdi7wMo1wP7GM8RIc7Am68LUeoesB
 C4DABm4t8fQiQliqjoHq5uiFt1d2Mi6HQfSQt+irqWNxfeAwHVVmiAZl/RlG0osr
 5LFBh/xbWf+UJgs6qI5JQGQpVd4dPx995swcC5YP/1dKe28A==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id a6d9dde0
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Sat, 29 Jun 2019 15:27:32 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: "Jakob L. Kreuze" <zerodaysfordays@HIDDEN>
Subject: Re: [bug#36411] [PATCH] gnu: Add libresprite.
References: <87y31m7d62.fsf@HIDDEN>
 <30d2762e-8cea-fa2d-24df-68a019fcea90@HIDDEN>
 <8736jthkkd.fsf@HIDDEN>
In-reply-to: <8736jthkkd.fsf@HIDDEN>
Date: Sat, 29 Jun 2019 17:27:30 +0200
Message-ID: <87woh4bee5.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36411
Cc: 36411 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Jakob,

I didn't check all the bundled packages, but at least freetype2=20
and libpng are trivial to unbundle (not patched in any way) and=20
probably the most important to, security-wise, so things are=20
looking good even if upstream wouldn't cooperate.

Jakob L. Kreuze wrote:
>> Synopsis?
>
> Inherited from 'aseprite'.  Should I alter it to mention that
> it's a fork of Aseprite?

It's certainly not important enough to include in the synopsis, so=20
inheriting that is fine.

Now, I'd say it needn't be added to the description either.  We=20
generally don't note the often chequered ancestry of our packages,=20
nor the fact that they are =E2=80=98free=E2=80=99 or =E2=80=98open source=
=E2=80=99, and this is=20
just a combination of the two.  But at least description space is=20
cheaper if you disagree.  ;-)

Thanks for your work on Guix,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQT12iAyS4c9C3o4dnINsP+IT1VteQUCXReDYwAKCRANsP+IT1Vt
eVizAP4iM3K/ubCBNuqJhHISFcsJ55Wn1BtF9uxKIn/vScbC2gD/WCBgLCPp3K7x
mNSC7fyOK21NTOm2jSSQUAlICtPuoAw=
=Nv5y
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#36411; Package guix-patches. Full text available.

Message received at 36411 <at> debbugs.gnu.org:


Received: (at 36411) by debbugs.gnu.org; 29 Jun 2019 14:39:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 29 10:39:34 2019
Received: from localhost ([127.0.0.1]:44802 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hhEVo-000175-Oa
	for submit <at> debbugs.gnu.org; Sat, 29 Jun 2019 10:39:34 -0400
Received: from dustycloud.org ([50.116.34.160]:35528)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cwebber@HIDDEN>) id 1hhEVm-00016y-UN
 for 36411 <at> debbugs.gnu.org; Sat, 29 Jun 2019 10:39:31 -0400
Received: from jasmine (localhost [127.0.0.1])
 by dustycloud.org (Postfix) with ESMTPS id 784F326630;
 Sat, 29 Jun 2019 10:39:30 -0400 (EDT)
References: <87y31m7d62.fsf@HIDDEN>
 <30d2762e-8cea-fa2d-24df-68a019fcea90@HIDDEN>
 <8736jthkkd.fsf@HIDDEN>
 <cd1bd239-0135-bcd1-c103-736e86f87504@HIDDEN>
 <87mui1flpv.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Christopher Lemmer Webber <cwebber@HIDDEN>
To: guix-patches@HIDDEN
Subject: Re: [bug#36411] [PATCH] gnu: Add libresprite.
In-reply-to: <87mui1flpv.fsf@HIDDEN>
Date: Sat, 29 Jun 2019 10:39:30 -0400
Message-ID: <87mui0lal9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 36411
Cc: swedebugia <swedebugia@HIDDEN>, 36411 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jakob L. Kreuze writes:

> swedebugia <swedebugia@HIDDEN> writes:
>
>>> The bundled libraries is an issue with 'aseprite' as well. I'll see
>>> about submitting a separate patch to resolve it there.
>>
>> +1
>
> Though, after looking at it, I'm realizing that this involves about
> three new packages, as well as some minor patches upstream. I think I'll
> still work towards unbundling libraries, but it will take some time.

I don't think this needs to be a blocker on merging libresprite if it
wasn't a blocker on merging aesprite.  How about filing a separate bug
for that so we don't forget, then we can just worry about getting this
one in?

I wonder also if there are any significant benefits to keeping aesprite
around if we have libresprite.  What do you think?  Maybe aesprite could
become an alias for the new libresprite.  Thoughts?




Information forwarded to guix-patches@HIDDEN:
bug#36411; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Jun 2019 14:39:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 29 10:39:44 2019
Received: from localhost ([127.0.0.1]:44805 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hhEW0-00017U-8n
	for submit <at> debbugs.gnu.org; Sat, 29 Jun 2019 10:39:44 -0400
Received: from lists.gnu.org ([209.51.188.17]:51964)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cwebber@HIDDEN>) id 1hhEVy-00017M-Ap
 for submit <at> debbugs.gnu.org; Sat, 29 Jun 2019 10:39:42 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:60183)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <cwebber@HIDDEN>) id 1hhEVx-0006LZ-DD
 for guix-patches@HIDDEN; Sat, 29 Jun 2019 10:39:42 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <cwebber@HIDDEN>) id 1hhEVv-0005Ab-A4
 for guix-patches@HIDDEN; Sat, 29 Jun 2019 10:39:41 -0400
Received: from dustycloud.org ([2600:3c02::f03c:91ff:feae:cb51]:33132)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <cwebber@HIDDEN>)
 id 1hhEVr-00055K-Nc
 for guix-patches@HIDDEN; Sat, 29 Jun 2019 10:39:37 -0400
Received: from jasmine (localhost [127.0.0.1])
 by dustycloud.org (Postfix) with ESMTPS id 784F326630;
 Sat, 29 Jun 2019 10:39:30 -0400 (EDT)
References: <87y31m7d62.fsf@HIDDEN>
 <30d2762e-8cea-fa2d-24df-68a019fcea90@HIDDEN>
 <8736jthkkd.fsf@HIDDEN>
 <cd1bd239-0135-bcd1-c103-736e86f87504@HIDDEN>
 <87mui1flpv.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Christopher Lemmer Webber <cwebber@HIDDEN>
To: guix-patches@HIDDEN
Subject: Re: [bug#36411] [PATCH] gnu: Add libresprite.
In-reply-to: <87mui1flpv.fsf@HIDDEN>
Date: Sat, 29 Jun 2019 10:39:30 -0400
Message-ID: <87mui0lal9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2600:3c02::f03c:91ff:feae:cb51
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Jakob L. Kreuze writes: > swedebugia <swedebugia@HIDDEN>
 writes: > >>> The bundled libraries is an issue with 'aseprite' as well.
 I'll see >>> about submitting a separate patch to resolve it there. >> >>
 +1 > > Though, a [...] 
 Content analysis details:   (2.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: riseup.net]
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [2600:3c02:0:0:f03c:91ff:feae:cb51 listed in] [zen.spamhaus.org]
X-Debbugs-Envelope-To: submit
Cc: swedebugia <swedebugia@HIDDEN>, 36411 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Jakob L. Kreuze writes: > swedebugia <swedebugia@HIDDEN>
    writes: > >>> The bundled libraries is an issue with 'aseprite' as well.
   I'll see >>> about submitting a separate patch to resolve it there. >> >>
   +1 > > Though, a [...] 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: riseup.net]
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
                             medium trust
                             [209.51.188.17 listed in list.dnswl.org]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [2600:3c02:0:0:f03c:91ff:feae:cb51 listed in]
                             [zen.spamhaus.org]
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Jakob L. Kreuze writes:

> swedebugia <swedebugia@HIDDEN> writes:
>
>>> The bundled libraries is an issue with 'aseprite' as well. I'll see
>>> about submitting a separate patch to resolve it there.
>>
>> +1
>
> Though, after looking at it, I'm realizing that this involves about
> three new packages, as well as some minor patches upstream. I think I'll
> still work towards unbundling libraries, but it will take some time.

I don't think this needs to be a blocker on merging libresprite if it
wasn't a blocker on merging aesprite.  How about filing a separate bug
for that so we don't forget, then we can just worry about getting this
one in?

I wonder also if there are any significant benefits to keeping aesprite
around if we have libresprite.  What do you think?  Maybe aesprite could
become an alias for the new libresprite.  Thoughts?




Information forwarded to guix-patches@HIDDEN:
bug#36411; Package guix-patches. Full text available.

Message received at 36411 <at> debbugs.gnu.org:


Received: (at 36411) by debbugs.gnu.org; 28 Jun 2019 21:25:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 28 17:25:18 2019
Received: from localhost ([127.0.0.1]:43125 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hgyMw-0004Rj-1P
	for submit <at> debbugs.gnu.org; Fri, 28 Jun 2019 17:25:18 -0400
Received: from ol.sdf.org ([205.166.94.20]:55872 helo=mx.sdf.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zerodaysfordays@HIDDEN>)
 id 1hgyMt-0004RX-5V
 for 36411 <at> debbugs.gnu.org; Fri, 28 Jun 2019 17:25:16 -0400
Received: from Epsilon (pool-173-76-53-40.bstnma.fios.verizon.net
 [173.76.53.40]) (authenticated (0 bits))
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPSA id x5SLP9qm014949
 (using TLSv1.2 with cipher AES256-GCM-SHA384 (256 bits) verified NO);
 Fri, 28 Jun 2019 21:25:12 GMT
From: zerodaysfordays@HIDDEN (Jakob L. Kreuze)
To: swedebugia <swedebugia@HIDDEN>
Subject: Re: [bug#36411] [PATCH] gnu: Add libresprite.
References: <87y31m7d62.fsf@HIDDEN>
 <30d2762e-8cea-fa2d-24df-68a019fcea90@HIDDEN>
 <8736jthkkd.fsf@HIDDEN>
 <cd1bd239-0135-bcd1-c103-736e86f87504@HIDDEN>
Date: Fri, 28 Jun 2019 17:23:24 -0400
In-Reply-To: <cd1bd239-0135-bcd1-c103-736e86f87504@HIDDEN>
 (swedebugia@HIDDEN's message of "Fri, 28 Jun 2019 17:51:09 +0200")
Message-ID: <87mui1flpv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36411
Cc: 36411 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

swedebugia <swedebugia@HIDDEN> writes:

>> The bundled libraries is an issue with 'aseprite' as well. I'll see
>> about submitting a separate patch to resolve it there.
>
> +1

Though, after looking at it, I'm realizing that this involves about
three new packages, as well as some minor patches upstream. I think I'll
still work towards unbundling libraries, but it will take some time.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEa1VJLOiXAjQ2BGSm9Qb9Fp2P2VoFAl0WhUwACgkQ9Qb9Fp2P
2VqKzg//aghTF+7R8tsvqinusIbTAGxEJGJ51ENFRniSLRqrEosOFH0lj1mzZBV6
ra6mzgmSeA7w0334niaIKvz1oztqPEAlzx+aRtwYoTH3gJg5Yjilje6RQrrWcoXW
Djdxz/JyG5i2fpxomM1DUtf21VUVlF3W790L1b1JkuWIS2pWgHq5M2Qp9c5usqQ1
LEsLO/wQHCG07H0UkZ215i5Wcy/t2+lVAo9VXgriG8AJkWHQ459CaRmo4CKI5zVu
9fVFHJr7KHc4YKteQ4mewWmu9HMdawc9yMSuzme3RN5cPJsyo0uS3FrYa0RZAILt
8+/8h2sShnmwMUdD58LRkYYm5VCZK+o5Kb4pNDz3YV0MUkYgBUJDztYenBvTi6uP
fCk62HXDawnOGLACbTuSERKJXceKsTHSyBcxp8hYe8Q8w1O3FRwigo4fIKr0m5ql
TyfEZGQrhcAdzRWiwdPNEvaQSCKRJt7KhsYBvh6gKBYGYm6oaqIIZYTIoa6BIRI4
xjTi9TJ1kkOGXiD7h3ssqXxfXkr0Bwq07Os6+WcPWek22DGMswdQWJHCdGpVGo/g
wuE/OI8d/iV/hKKW+APSAtCFWMdeaCn8oaHKT4W8L5IMTxyaUYgUiuFBsGrK4Xfv
dmMAVR7+zusxTPQr5tPYQ/fq2bWLSkpVT6/hcIkk14VNgY/5jdc=
=6vwl
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#36411; Package guix-patches. Full text available.

Message received at 36411 <at> debbugs.gnu.org:


Received: (at 36411) by debbugs.gnu.org; 28 Jun 2019 15:51:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 28 11:51:18 2019
Received: from localhost ([127.0.0.1]:42848 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hgt9i-0005F1-LN
	for submit <at> debbugs.gnu.org; Fri, 28 Jun 2019 11:51:18 -0400
Received: from mx1.riseup.net ([198.252.153.129]:60802)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1hgt9g-0005Eq-KE
 for 36411 <at> debbugs.gnu.org; Fri, 28 Jun 2019 11:51:17 -0400
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 8DA541A037D;
 Fri, 28 Jun 2019 08:51:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1561737075; bh=BRXgs0MvfinuXEW1guECUt8u7tX752RUXF9oXzLolp0=;
 h=Subject:To:Cc:References:From:Date:In-Reply-To:From;
 b=j7oV1YyulxXRytLttdPYObpEyuMdr720uijVMZkkDi16mSPYQ9hYtiNLfoR45QVoY
 DQ5gBr+am31vWWBB/mjcPppopW3fXPxHM3XkJa3IE55xvnOKqGeHOCeRwD1Me8TCgq
 IXWxkE7NB2xRaNSPRfPhBIKkwAc3LU6E49hP5i4E=
X-Riseup-User-ID: 6C30AE661B910BC5B4D8FDCA9C106D71DBAB24FB3B220F134300A892AB43E2D7
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id F0E95120325;
 Fri, 28 Jun 2019 08:51:13 -0700 (PDT)
Subject: Re: [bug#36411] [PATCH] gnu: Add libresprite.
To: "Jakob L. Kreuze" <zerodaysfordays@HIDDEN>
References: <87y31m7d62.fsf@HIDDEN>
 <30d2762e-8cea-fa2d-24df-68a019fcea90@HIDDEN>
 <8736jthkkd.fsf@HIDDEN>
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <cd1bd239-0135-bcd1-c103-736e86f87504@HIDDEN>
Date: Fri, 28 Jun 2019 17:51:09 +0200
MIME-Version: 1.0
In-Reply-To: <8736jthkkd.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36411
Cc: 36411 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2019-06-28 16:05, Jakob L. Kreuze wrote:
> swedebugia <swedebugia@HIDDEN> writes:
> 
>> Why not a release? Please ask upstream to release.
> 
> Will do. I agree, looking at their roadmap, the current state of the
> repository is ripe for a release.
> 
>> I see these:
>> Submodule 'third_party/duktape' (https://github.com/aseprite/duktape.git)
>> registered for path 'third_party/duktape'
>> Submodule 'third_party/freetype2' (https://github.com/aseprite/freetype2.git)
>> registered for path 'third_party/freetype2'
>> Submodule 'third_party/gtest' (https://github.com/aseprite/gtest.git) registered
>> for path 'third_party/gtest'
>> Submodule 'third_party/libpng' (https://github.com/aseprite/libpng.git)
>> registered for path 'third_party/libpng'
>> Submodule 'third_party/libwebp' (https://chromium.googlesource.com/webm/libwebp)
>> registered for path 'third_party/libwebp'
>> Submodule 'third_party/pixman' (https://github.com/aseprite/pixman.git)
>> registered for path 'third_party/pixman'
>> Submodule 'third_party/simpleini' (https://github.com/aseprite/simpleini.git)
>> registered for path 'third_party/simpleini'
>> Submodule 'third_party/zlib' (https://github.com/aseprite/zlib.git) registered
>> for path 'third_party/zlib'
>>
>> Please unbundle as many as possible.
> 
> The bundled libraries is an issue with 'aseprite' as well. I'll see
> about submitting a separate patch to resolve it there.

+1

> 
>> Synopsis?
> 
> Inherited from 'aseprite'. Should I alter it to mention that it's a fork
> of Aseprite?

Yeah, I think that would be preferable. We/I normally ad that as an 
aside in the end of the description "xx is a fork of yy". :)


-- 
Cheers Swedebugia




Information forwarded to guix-patches@HIDDEN:
bug#36411; Package guix-patches. Full text available.

Message received at 36411 <at> debbugs.gnu.org:


Received: (at 36411) by debbugs.gnu.org; 28 Jun 2019 14:07:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 28 10:07:05 2019
Received: from localhost ([127.0.0.1]:42719 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hgrWq-0004IE-Vn
	for submit <at> debbugs.gnu.org; Fri, 28 Jun 2019 10:07:05 -0400
Received: from mx.sdf.org ([205.166.94.20]:59289)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zerodaysfordays@HIDDEN>)
 id 1hgrWo-0004Ho-7d
 for 36411 <at> debbugs.gnu.org; Fri, 28 Jun 2019 10:07:02 -0400
Received: from Epsilon (pool-173-76-53-40.bstnma.fios.verizon.net
 [173.76.53.40]) (authenticated (0 bits))
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPSA id x5SE704s025365
 (using TLSv1.2 with cipher AES256-GCM-SHA384 (256 bits) verified NO);
 Fri, 28 Jun 2019 14:07:01 GMT
From: zerodaysfordays@HIDDEN (Jakob L. Kreuze)
To: swedebugia <swedebugia@HIDDEN>
Subject: Re: [bug#36411] [PATCH] gnu: Add libresprite.
References: <87y31m7d62.fsf@HIDDEN>
 <30d2762e-8cea-fa2d-24df-68a019fcea90@HIDDEN>
Date: Fri, 28 Jun 2019 10:05:22 -0400
In-Reply-To: <30d2762e-8cea-fa2d-24df-68a019fcea90@HIDDEN>
 (swedebugia@HIDDEN's message of "Fri, 28 Jun 2019 07:28:17 +0200")
Message-ID: <8736jthkkd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36411
Cc: 36411 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

swedebugia <swedebugia@HIDDEN> writes:

> Why not a release? Please ask upstream to release.

Will do. I agree, looking at their roadmap, the current state of the
repository is ripe for a release.

> I see these:
> Submodule 'third_party/duktape' (https://github.com/aseprite/duktape.git)
> registered for path 'third_party/duktape'
> Submodule 'third_party/freetype2' (https://github.com/aseprite/freetype2.git)
> registered for path 'third_party/freetype2'
> Submodule 'third_party/gtest' (https://github.com/aseprite/gtest.git) registered
> for path 'third_party/gtest'
> Submodule 'third_party/libpng' (https://github.com/aseprite/libpng.git)
> registered for path 'third_party/libpng'
> Submodule 'third_party/libwebp' (https://chromium.googlesource.com/webm/libwebp)
> registered for path 'third_party/libwebp'
> Submodule 'third_party/pixman' (https://github.com/aseprite/pixman.git)
> registered for path 'third_party/pixman'
> Submodule 'third_party/simpleini' (https://github.com/aseprite/simpleini.git)
> registered for path 'third_party/simpleini'
> Submodule 'third_party/zlib' (https://github.com/aseprite/zlib.git) registered
> for path 'third_party/zlib'
>
> Please unbundle as many as possible.

The bundled libraries is an issue with 'aseprite' as well. I'll see
about submitting a separate patch to resolve it there.

> Synopsis?

Inherited from 'aseprite'. Should I alter it to mention that it's a fork
of Aseprite?

Regards,
Jakob

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEa1VJLOiXAjQ2BGSm9Qb9Fp2P2VoFAl0WHqIACgkQ9Qb9Fp2P
2VpA/Q/+NAPPWqcSbB/DEPzRPa0bQz+6RmB0NvIgX3xS868lqFdcZhagHfiKNOkZ
ub0JNodcQ2twH2o26gomq8+8xVbmZejsqmxDSOXfydGqy8mpQux/b0a6leWXwr/t
QpmBHNbR7O/kvtaZglNdARzt/SnDR9qCxgF7oSsKyh3Zy2hGTigw722gedGX8L/r
J8w/dvpn6hlvcbTf1/lhWSDC0vGR4wK3YwtSrGvfhrpe5C9Yb1nfyGKMAry1sSEd
oQSCgzd0wP7i2JPefAc40azdvbI9oUFZAjVDPsf6jkLBgDsTqFMH4JU3WlBQHZRn
uhRNqVS1i6DkjMEamVUZrWc4jGBUuCOtUnE4PGMiQDQ5zeJp1cbc1NUmLAj87Gkd
NszCWDbMEXrna6UmYc0RiGCBHSUxRpuke09ym0mqoKa90nGs8t5UKf2jYi48aJFi
DRdhqr1BgMaL0gXKOx6tt++fMBU2pYOHX6a1DNby7ZtUmPhnTwEqgpzMkhWGKM6o
JukqboY5kwL7KvBTgj5qIoKFuLO4yQz6i8ADvj/MmVimpMj3Jbsl7uqq+aIpFdQs
tlHTffuVXn9OQddbZzZczlAuLVOmXgYQx3hsKRWHk4xwaP46zn76gIuguroaDzpj
leLdjnGO76yj8QjevENgcPfQL4GiwtzgJ/MXRNvEzO3PIN3ax4c=
=cfHy
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#36411; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Jun 2019 05:28:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 28 01:28:41 2019
Received: from localhost ([127.0.0.1]:40220 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hgjR4-0001ga-UN
	for submit <at> debbugs.gnu.org; Fri, 28 Jun 2019 01:28:41 -0400
Received: from lists.gnu.org ([209.51.188.17]:47599)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1hgjQy-0001gN-S1
 for submit <at> debbugs.gnu.org; Fri, 28 Jun 2019 01:28:33 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:56349)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <swedebugia@HIDDEN>) id 1hgjQw-0005se-0h
 for guix-patches@HIDDEN; Fri, 28 Jun 2019 01:28:28 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1hgjQu-0000Uj-ME
 for guix-patches@HIDDEN; Fri, 28 Jun 2019 01:28:25 -0400
Received: from mx1.riseup.net ([198.252.153.129]:34912)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1hgjQu-0000T4-7R
 for guix-patches@HIDDEN; Fri, 28 Jun 2019 01:28:24 -0400
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 1C61A1A1EBF
 for <guix-patches@HIDDEN>; Thu, 27 Jun 2019 22:28:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1561699703; bh=OOOLbvVqJua91rYeR+Brld6a3XmFHKHhGJ5gSCkFr6o=;
 h=Subject:To:References:From:Date:In-Reply-To:From;
 b=oxG6+L4LvP4LHARe+4CAFtyGk3k1YA9Ht6RxoUZTmQ9NAp0vN/jFZkgyEcIJSr9fv
 eVs9lN7HOsW62WsaHV3eSCoKhNWQiC92Ve0/pJfg1CGytTqGQGn0MncyV/zOSFkHhi
 lRHdiQzHyMQ3fQz+xkOzW+5N3jzmurdG99yfu+JU=
X-Riseup-User-ID: A9A8A5A258CEA5D6A74BD99F9E0B43BCBDFEB0CD2EBCBB5D8BF2F5863845F3FE
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id 593F512051A
 for <guix-patches@HIDDEN>; Thu, 27 Jun 2019 22:28:20 -0700 (PDT)
Subject: Re: [bug#36411] [PATCH] gnu: Add libresprite.
To: guix-patches@HIDDEN
References: <87y31m7d62.fsf@HIDDEN>
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <30d2762e-8cea-fa2d-24df-68a019fcea90@HIDDEN>
Date: Fri, 28 Jun 2019 07:28:17 +0200
MIME-Version: 1.0
In-Reply-To: <87y31m7d62.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 198.252.153.129
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

On 2019-06-28 02:43, Jakob L. Kreuze wrote:
> * gnu/packages/game-development.scm (libresprite): New variable.
> ---
>   gnu/packages/game-development.scm | 22 ++++++++++++++++++++++
>   1 file changed, 22 insertions(+)
>=20
> diff --git a/gnu/packages/game-development.scm b/gnu/packages/game-deve=
lopment.scm
> index 05a68b717a..0e9d5f0b96 100644
> --- a/gnu/packages/game-development.scm
> +++ b/gnu/packages/game-development.scm
> @@ -15,6 +15,7 @@
>   ;;; Copyright =C2=A9 2017, 2019 Rutger Helling<rhelling@HIDDEN>
>   ;;; Copyright =C2=A9 2018 Marius Bakke<mbakke@HIDDEN>
>   ;;; Copyright =C2=A9 2019 Pierre Neidhardt<mail@HIDDEN>
> +;;; Copyright =C2=A9 2019 Jakob L. Kreuze<zerodaysfordays@HIDDEN=
.org>
>   ;;;
>   ;;; This file is part of GNU Guix.
>   ;;;
> @@ -799,6 +800,27 @@ the creation of animations, tiled graphics, textur=
e atlases, and more.")
>       (home-page"https://www.aseprite.org/")
>       (license license:gpl2+)))
>  =20
> +(define-public libresprite
> +  (let ((commit "f9002f282afd8a6a31bb4cd2dc6b665c24bd7779"))

Why not a release? Please ask upstream to release.

> +    (package
> +      (inherit aseprite)
> +      (name "libresprite")
> +      (version (string-append "1.1.7" "-" (string-take commit 7)))
> +      (source (origin
> +                (method git-fetch)
> +                (uri (git-reference
> +                      (url"https://github.com/LibreSprite/LibreSprite.=
git")
> +                      (commit commit)
> +                      (recursive? #t)))

I see these:
Submodule 'third_party/duktape'=20
(https://github.com/aseprite/duktape.git) registered for path=20
'third_party/duktape'
Submodule 'third_party/freetype2'=20
(https://github.com/aseprite/freetype2.git) registered for path=20
'third_party/freetype2'
Submodule 'third_party/gtest' (https://github.com/aseprite/gtest.git)=20
registered for path 'third_party/gtest'
Submodule 'third_party/libpng' (https://github.com/aseprite/libpng.git)=20
registered for path 'third_party/libpng'
Submodule 'third_party/libwebp'=20
(https://chromium.googlesource.com/webm/libwebp) registered for path=20
'third_party/libwebp'
Submodule 'third_party/pixman' (https://github.com/aseprite/pixman.git)=20
registered for path 'third_party/pixman'
Submodule 'third_party/simpleini'=20
(https://github.com/aseprite/simpleini.git) registered for path=20
'third_party/simpleini'
Submodule 'third_party/zlib' (https://github.com/aseprite/zlib.git)=20
registered for path 'third_party/zlib'

Please unbundle as many as possible.

> +                (file-name (git-file-name name version))
> +                (sha256
> +                 (base32 "1gjvlkpjyxkp5srqwa9g0a8x0kl1jm0xp6fs9a52nr1y=
naaza1lx"))))

Synopsis?

> +      (description "LibreSprite is a tool for creating 2D pixel art fo=
r video
> +games.  In addition to basic pixel editing features, LibreSprite can a=
ssist in
> +the creation of animations, tiled graphics, texture atlases, and more.=
")
> +      (home-page"https://github.com/LibreSprite/LibreSprite/")
> +      (license license:gpl2+))))
> +
>   (define-public qqwing
>     (package
>       (name "qqwing")
> -- 2.22.0
>=20

I did not build it because of all the thirdparty bundles.

--=20
Cheers Swedebugia




Information forwarded to guix-patches@HIDDEN:
bug#36411; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Jun 2019 00:44:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 27 20:44:50 2019
Received: from localhost ([127.0.0.1]:40101 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hgf0P-0000Vb-Sv
	for submit <at> debbugs.gnu.org; Thu, 27 Jun 2019 20:44:50 -0400
Received: from lists.gnu.org ([209.51.188.17]:44897)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zerodaysfordays@HIDDEN>)
 id 1hgf0N-0000VT-KT
 for submit <at> debbugs.gnu.org; Thu, 27 Jun 2019 20:44:44 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:38764)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <zerodaysfordays@HIDDEN>)
 id 1hgf0L-0004Ig-5z
 for guix-patches@HIDDEN; Thu, 27 Jun 2019 20:44:43 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <zerodaysfordays@HIDDEN>)
 id 1hgf0I-0000I2-L4
 for guix-patches@HIDDEN; Thu, 27 Jun 2019 20:44:40 -0400
Received: from mx.sdf.org ([205.166.94.20]:58511)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <zerodaysfordays@HIDDEN>)
 id 1hgf0I-0000Hb-Bq
 for guix-patches@HIDDEN; Thu, 27 Jun 2019 20:44:38 -0400
Received: from Epsilon (pool-173-76-53-40.bstnma.fios.verizon.net
 [173.76.53.40]) (authenticated (0 bits))
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPSA id x5S0iabj012243
 (using TLSv1.2 with cipher AES256-GCM-SHA384 (256 bits) verified NO)
 for <guix-patches@HIDDEN>; Fri, 28 Jun 2019 00:44:37 GMT
From: zerodaysfordays@HIDDEN (Jakob L. Kreuze)
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add libresprite.
Date: Thu, 27 Jun 2019 20:43:01 -0400
Message-ID: <87y31m7d62.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 205.166.94.20
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

* gnu/packages/game-development.scm (libresprite): New variable.
=2D--
 gnu/packages/game-development.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/game-development.scm b/gnu/packages/game-developm=
ent.scm
index 05a68b717a..0e9d5f0b96 100644
=2D-- a/gnu/packages/game-development.scm
+++ b/gnu/packages/game-development.scm
@@ -15,6 +15,7 @@
 ;;; Copyright =C2=A9 2017, 2019 Rutger Helling <rhelling@HIDDEN>
 ;;; Copyright =C2=A9 2018 Marius Bakke <mbakke@HIDDEN>
 ;;; Copyright =C2=A9 2019 Pierre Neidhardt <mail@HIDDEN>
+;;; Copyright =C2=A9 2019 Jakob L. Kreuze <zerodaysfordays@HIDDEN=
g>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -799,6 +800,27 @@ the creation of animations, tiled graphics, texture at=
lases, and more.")
     (home-page "https://www.aseprite.org/")
     (license license:gpl2+)))
=20
+(define-public libresprite
+  (let ((commit "f9002f282afd8a6a31bb4cd2dc6b665c24bd7779"))
+    (package
+      (inherit aseprite)
+      (name "libresprite")
+      (version (string-append "1.1.7" "-" (string-take commit 7)))
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url "https://github.com/LibreSprite/LibreSprite.git=
")
+                      (commit commit)
+                      (recursive? #t)))
+                (file-name (git-file-name name version))
+                (sha256
+                 (base32 "1gjvlkpjyxkp5srqwa9g0a8x0kl1jm0xp6fs9a52nr1ynaaz=
a1lx"))))
+      (description "LibreSprite is a tool for creating 2D pixel art for vi=
deo
+games.  In addition to basic pixel editing features, LibreSprite can assis=
t in
+the creation of animations, tiled graphics, texture atlases, and more.")
+      (home-page "https://github.com/LibreSprite/LibreSprite/")
+      (license license:gpl2+))))
+
 (define-public qqwing
   (package
     (name "qqwing")
=2D-=20
2.22.0


--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEa1VJLOiXAjQ2BGSm9Qb9Fp2P2VoFAl0VYpUACgkQ9Qb9Fp2P
2Vonxw//S/TolWwTgOfES5ZAoP5D6gZSBuu/An3OgpiU9+vrit3jS7BzT1mpaS97
i5jewVfgaDbLUhBCuqrdDFz5TPwHCVo50LQdpqVe3XKpp1N0OiZo/pcqBRjCQIwF
Q2nbNDRZSlbfIkUE7dhcC9wePXGuySq6w8kS5EQ+o9CqMmB7icn+qlkAo3H6fh4C
7Z98tlTkjpkaCj0KmZFu5zM2gh2Le0z7/lSMJFQTlDgoNWRZkTs2E+mMoqN7PtoU
Z68QAEXiTi7u8pFeJ35xK4SkB/i9X+8uH2AYyNagwI/oFZgjIQ878RfnqWQZW4qE
29EXqZjzkSAj/vAkGxHUp3pr38Tsd3ui5UOpeKzw1k+858x024eU8eP3QDuyxJWL
tcyg07YKhy08bra6nJCqQL72jM6/dNu6rkHz0f4yD+/gmuBOw6JXKrvH6JvEDgNE
L2Tj4qRy/aUSRtbjvwuITB0Yk9GwpqHxjwP+1KLgM72vsATn8go1PR8ZXXic6ug7
UaI67F2lM08jTMjTV2mH7bCyjO5TWpJkXGjji4HuAlas3eYI9LW6m/xvr2M45hEo
L2vVCTf0vkxWl19Vk9fX45I6kirNGuCX5N1+u6+TyHRnzyqjs7z7B7CNA0ij54/L
QQTc/nO5dYDWnLP1j1C78RTXjekQewIwjMec9B3dhd7LvrpUUGc=
=3Hu4
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to zerodaysfordays@HIDDEN (Jakob L. Kreuze):
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#36411; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.